using GTANetworkAPI;

/**
* @overview Life of German Reallife - Event Voice (Voice.cs)
* @author Zeuto
* @copyright (c) 2008 - 2019 Life of German
*/

namespace ReallifeGamemode.Server.Events
{
  internal class Voice : Script
  {
    [RemoteEvent("CLIENT:AddVoiceListener")]
    public void AddPlayerVoiceListenerEvent(Player player, Player target)
    {
      player.EnableVoiceTo(target);
    }

    [RemoteEvent("CLIENT:RemoveVoiceListener")]
    public void RemovePlayerVoiceListenerEvent(Player player, Player target)
    {
      player.DisableVoiceTo(target);
    }
  }
}
